/* ------------------------- mydos.c ---------------------------------------- */

#include <dos.h>

#include "portio.h"

#ifdef BC2
#define _dos_getvect	getvect
#define _dos_setvect	setvect
#define _dos_gettime	gettime
#define dostime_t	time
#define HOUR		ti_hour
#define MINUTE		ti_min
#define SECOND		ti_sec
#define HSECOND		ti_hund
#else
#define HOUR		hour
#define MINUTE		minute
#define SECOND		second
#define HSECOND		hsecond
#endif

char far *
my_getvect (unsigned int n)
{
	return ((char far *)_dos_getvect (n));
}

void
my_setvect (unsigned int n, char far *f)
{
	_dos_setvect (n, (void (interrupt far *)())f);
}

void
my_gettime (struct my_time *t)
{
	struct dostime_t dos_time;

	_dos_gettime (&dos_time);

	t->hour = dos_time.HOUR;
	t->minute = dos_time.MINUTE;
	t->second = dos_time.SECOND;
	t->hsecond = dos_time.HSECOND;
}
